For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTCancel a batch execution
      • POSTSubmit a batch flow execution
      • GETGet batch execution status
      • GETGet batch summary
      • GETGet per-record cost for a batch
      • GETGet step results for a batch record
      • GETGet batch execution total cost
      • GETWebSocket for real-time batch updates
Dashboard
LogoLogo
Runtype APIBatch

WebSocket for real-time batch updates

GET
/v1/batch/:id/ws
GET
/v1/batch/:id/ws
$curl https://api.runtype.com/v1/batch/id/ws \
> -H "Authorization: <apiKey>"

Establishes a WebSocket connection for real-time progress updates on a batch execution.

Was this page helpful?
Previous

List client tokens

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Batch execution ID

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error